Bug 790658 - [abrt] gnome-shell-3.2.2.1-1.fc16: _nv022tls: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.2.2.1-1.fc16: _nv022tls: Process /usr/bin/gnome-shell wa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:a921785e34addec2b4c586d0b6a...
:
: 797905 804284 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-15 00:35 EST by Steve
Modified: 2013-02-13 15:22 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 15:22:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (22.55 KB, text/plain)
2012-02-15 00:35 EST, Steve
no flags Details
File: build_ids (6.69 KB, text/plain)
2012-02-15 00:35 EST, Steve
no flags Details
File: var_log_messages (16.38 KB, text/plain)
2012-02-15 00:35 EST, Steve
no flags Details
File: backtrace (92.23 KB, text/plain)
2012-02-15 00:35 EST, Steve
no flags Details
File: maps (86.48 KB, text/plain)
2012-02-15 00:35 EST, Steve
no flags Details
File: backtrace (81.33 KB, text/plain)
2012-02-15 00:38 EST, Steve
no flags Details
File: backtrace (123.78 KB, text/plain)
2012-02-15 04:25 EST, Steve
no flags Details
File: backtrace (115.54 KB, text/plain)
2012-02-15 06:32 EST, Steve
no flags Details
File: backtrace (121.44 KB, text/plain)
2012-02-18 20:10 EST, Steve
no flags Details
File: backtrace (73.81 KB, text/plain)
2012-02-21 02:23 EST, pinpinokio
no flags Details
File: backtrace (70.13 KB, text/plain)
2012-02-25 13:59 EST, pinpinokio
no flags Details
File: backtrace (69.30 KB, text/plain)
2012-02-29 18:49 EST, Andre Costa
no flags Details
File: backtrace (65.57 KB, text/plain)
2012-03-02 12:58 EST, Sanne Grinovero
no flags Details
File: backtrace (64.03 KB, text/plain)
2012-03-10 13:33 EST, kahrzarth
no flags Details
File: backtrace (20.58 KB, text/plain)
2012-03-11 05:23 EDT, Alejandro
no flags Details
File: backtrace (73.23 KB, text/plain)
2012-03-18 02:10 EDT, Alejandro
no flags Details
File: backtrace (62.06 KB, text/plain)
2012-03-18 16:43 EDT, Sanne Grinovero
no flags Details
File: backtrace (79.88 KB, text/plain)
2012-04-11 17:46 EDT, David G. Mackay
no flags Details

  None (edit)
Description Steve 2012-02-15 00:35:15 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 3
cmdline:        /usr/bin/gnome-shell
comment:        starting up gnome shell
crash_function: _nv022tls
executable:     /usr/bin/gnome-shell
kernel:         3.2.5-3.fc16.x86_64
pid:            2956
pwd:            /home/stephen
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
time:           Wed 15 Feb 2012 15:33:16 EST
uid:            1000
username:       stephen

backtrace:      Text file, 94439 bytes
build_ids:      Text file, 6849 bytes
dso_list:       Text file, 23088 bytes
maps:           Text file, 88551 bytes
var_log_messages: Text file, 16771 bytes

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=4
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:TERM=dumb
:SHELL=/bin/tcsh
:XDG_SESSION_COOKIE=d603fc436c24d47977f3ce0f00000012-1329283981.158572-1457390437
:GNOME_KEYRING_CONTROL=/tmp/keyring-e3s2Jf
:IMSETTINGS_MODULE=IBus
:USER=stephen
:USERNAME=stephen
:DESKTOP_SESSION=gnome
:PATH=.:/usr/sbin:/sbin:/home/stephen/global:/usr/bin:/usr/local/cuda/bin:/opt/open64/bin:/opt/oracle/solstudio12.2/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/home/stephen/htk/bin.linux
:QT_IM_MODULE=xim
:PWD=/home/stephen
:XMODIFIERS=@im=ibus
:LANG=en_GB.utf8
:GNOME_KEYRING_PID=2805
:GDM_LANG=en_GB.utf8
:GDMSESSION=gnome
:SHLVL=1
:XDG_SEAT=seat0
:HOME=/home/stephen
:LOGNAME=stephen
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-wSsHoRliSp,guid=18fbaa0244629f749a2ef3d90000006c
:WINDOWPATH=2
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/stephen
:XAUTHORITY=/var/run/gdm/auth-for-stephen-va4wTT/database
:HOSTTYPE=x86_64-linux
:VENDOR=unknown
:OSTYPE=linux
:MACHTYPE=x86_64
:GROUP=stephen
:HOST=xps13
:MAIL=/var/spool/mail/stephen
:HOSTNAME=xps13
:CCACHE_HASHDIR=
:LS_COLORS=
:CVS_RSH=ssh
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:KDEDIRS=/usr
:KDE_IS_PRELINKED=1
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:MODULESHOME=/usr/share/Modules
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:LOADEDMODULES=
:BEAGLE_DISABLE_XATTR=
:LC_PAPER=en_GB.UTF_8
:XKEYSYMDB=/usr/share/X11/XKeysymDB
:BIBINPUTS=/home/stephen/publications/bibtex
:BSTINPUTS=/home/stephen/publications/bibtex
:LD_LIBRARY_PATH=/usr/share/pvm3/lib
:CLASSPATH=.
:SVN_EDITOR=vi
:repo=file:///home/stephen/repository
:PVM_PATH=/home/stephen/pvm
:PVM_ROOT=/usr/share/pvm3
:PVM_ARCH=LINUXX86_64
:PVM_RSH=/usr/bin/ssh
:PVM_TMP=/tmp
:PVMNETSOCKPORT=8988
:HCONFIG=/home/stephen/htk/default.conf
:HBIN=/home/stephen/htk
:CPU=linux
:HTKCC=icc
:'HTKCF=-O3 -xT -unroll -ip -static-libcxa -lm'
:'HTKLF=-O3 -xT -unroll -ip -static-libcxa -lm -L/usr/X11R6/lib'
:Arch=LINUX
:Objcopy=echo
:PRILF=-x
:SHRLF=-shared
:LIBEXT=so
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2914,unix/unix:/tmp/.ICE-unix/2914
:GPG_AGENT_INFO=/tmp/keyring-e3s2Jf/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-e3s2Jf/ssh
:LC_TIME=en_AU.utf8
:LC_NUMERIC=en_AU.utf8
:LC_MONETARY=en_AU.utf8
:LC_MEASUREMENT=en_AU.utf8
:DESKTOP_AUTOSTART_ID=10bb7329ebc33c0dd132928398145071700000029140000

xsession_errors:
:(gnome-shell:2956): folks-DEBUG: individual-aggregator.vala:305: Setting primary store IDs to defaults.
:(gnome-shell:2956): folks-DEBUG: individual-aggregator.vala:333: Primary store IDs are 'eds' and 'system'.
:(gnome-shell:2956): Clutter-WARNING **: Attempting to add actor of type 'ShellGenericContainer' to a container of type 'StBoxLayout', but the actor has already a parent of type 'StBoxLayout'.
:(gnome-shell:2956): St-WARNING **: Actor of type 'ShellGenericContainer' is not a child of the StBoxLayout container
:    JS ERROR: !!!   WARNING: file '/home/stephen/.local/share/gnome-shell/extensions/battery-indicator@tty.gr/extension.js' line 83 exception 0 number 156
:gnome-session[2914]: WARNING: Application 'gnome-shell.desktop' killed by signal
:gnome-shell-calendar-server[3423]: Got HUP on stdin - exiting
:(gnome-shell:3616): folks-DEBUG: individual-aggregator.vala:305: Setting primary store IDs to defaults.
:(gnome-shell:3616): folks-DEBUG: individual-aggregator.vala:333: Primary store IDs are 'eds' and 'system'.
:(gnome-shell:3616): Clutter-WARNING **: Attempting to add actor of type 'ShellGenericContainer' to a container of type 'StBoxLayout', but the actor has already a parent of type 'StBoxLayout'.
:(gnome-shell:3616): St-WARNING **: Actor of type 'ShellGenericContainer' is not a child of the StBoxLayout container
:    JS ERROR: !!!   WARNING: file '/home/stephen/.local/share/gnome-shell/extensions/battery-indicator@tty.gr/extension.js' line 83 exception 0 number 156
Comment 1 Steve 2012-02-15 00:35:19 EST
Created attachment 562119 [details]
File: dso_list
Comment 2 Steve 2012-02-15 00:35:21 EST
Created attachment 562120 [details]
File: build_ids
Comment 3 Steve 2012-02-15 00:35:23 EST
Created attachment 562121 [details]
File: var_log_messages
Comment 4 Steve 2012-02-15 00:35:25 EST
Created attachment 562123 [details]
File: backtrace
Comment 5 Steve 2012-02-15 00:35:28 EST
Created attachment 562124 [details]
File: maps
Comment 6 Steve 2012-02-15 00:38:23 EST
went into activities mode and type kile.  it stopped during the search and died.

backtrace_rating: 3
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 7 Steve 2012-02-15 00:38:26 EST
Created attachment 562125 [details]
File: backtrace
Comment 8 Steve 2012-02-15 04:25:45 EST
Went into activities and started typing

backtrace_rating: 3
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 9 Steve 2012-02-15 04:25:51 EST
Created attachment 562176 [details]
File: backtrace
Comment 10 Steve 2012-02-15 06:32:48 EST
Clicked windows button, then started typing, which made it crash.

backtrace_rating: 3
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 11 Steve 2012-02-15 06:32:53 EST
Created attachment 562195 [details]
File: backtrace
Comment 12 Steve 2012-02-18 20:10:39 EST
went into activities mode and started typing.

backtrace_rating: 3
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 13 Steve 2012-02-18 20:10:46 EST
Created attachment 564108 [details]
File: backtrace
Comment 14 pinpinokio 2012-02-21 02:23:12 EST
Tried to search for application in the search bar after clicking 'Activities' start button

backtrace_rating: 3
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 15 pinpinokio 2012-02-21 02:23:16 EST
Created attachment 564594 [details]
File: backtrace
Comment 16 pinpinokio 2012-02-25 13:59:11 EST
searched for application in the search bar

backtrace_rating: 3
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 17 pinpinokio 2012-02-25 13:59:16 EST
Created attachment 565814 [details]
File: backtrace
Comment 18 Andre Costa 2012-02-29 18:49:02 EST
I pressed the "super" key and started typing "tot" in order to launch "totem" movie player. Soon after I typed the first two letters, gnome shell crashed. It is easily reproducible.

backtrace_rating: 3
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 19 Andre Costa 2012-02-29 18:49:07 EST
Created attachment 566680 [details]
File: backtrace
Comment 20 Sanne Grinovero 2012-03-02 12:58:33 EST
I pressed super and started typing "terminal" to open a terminal. It crashed before I could finish typing.
Happened 3 times already, I can't open a terminal from gnome!


backtrace_rating: 3
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 21 Sanne Grinovero 2012-03-02 12:58:37 EST
Created attachment 567121 [details]
File: backtrace
Comment 22 Andre Costa 2012-03-03 09:41:58 EST
This is really crippling gnome-shell on F16 :-( Can someone please set severity and priority to urgent?

Also, just to check if there's any common ground: what video driver are you guys using?
Comment 23 Steve 2012-03-05 18:34:01 EST
This is due to the latest NVIDIA proprietary driver.  Downgrading to version 290.10 fixed this issue.
Comment 24 Andre Costa 2012-03-06 15:22:22 EST
(In reply to comment #23)
> This is due to the latest NVIDIA proprietary driver.  Downgrading to version
> 290.10 fixed this issue.

Confirmed, downgrading to 290.10 fixed the bug, thks for the info. Just for the reference, this is the report on NVIDIA Linux forum: http://www.nvnews.net/vbulletin/showthread.php?t=174049
Comment 25 kahrzarth 2012-03-10 13:33:04 EST
Tyring to search an app by typing it's name with keyboard

backtrace_rating: 3
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 26 kahrzarth 2012-03-10 13:33:12 EST
Created attachment 569111 [details]
File: backtrace
Comment 27 Alejandro 2012-03-11 05:23:31 EDT
Just was trying to run compiz typing compiz in terminal, when i crtl+c gnome-shell went like crazy

backtrace_rating: 3
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 28 Alejandro 2012-03-11 05:23:38 EDT
Created attachment 569167 [details]
File: backtrace
Comment 29 Alejandro 2012-03-18 02:10:28 EDT
Was trying to find something like "terminal" in dash and handled this problem

backtrace_rating: 3
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 30 Alejandro 2012-03-18 02:10:36 EDT
Created attachment 570864 [details]
File: backtrace
Comment 31 Sanne Grinovero 2012-03-18 16:43:31 EDT
Attempting to start any application by using "super" + app name.
super + t , e, r, m
is enough to crash it. (Wanted to start a terminal)


backtrace_rating: 3
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 32 Sanne Grinovero 2012-03-18 16:43:36 EDT
Created attachment 570957 [details]
File: backtrace
Comment 33 sec_freak 2012-03-19 09:45:42 EDT
Package: gnome-shell-3.0.2-6.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Click on "Activities" and attempt to do any search... Even after a yum update and a fresh reboot..
Comment 34 Steve 2012-03-19 09:50:47 EDT
As noted previously, this is due to the latest NVIDIA proprietary driver.  Downgrading to version 290.10 seems to fix this issue.
Comment 35 abrt-bot 2012-03-20 11:34:14 EDT
*** Bug 804284 has been marked as a duplicate of this bug. ***
Comment 36 abrt-bot 2012-03-20 11:34:25 EDT
*** Bug 797905 has been marked as a duplicate of this bug. ***
Comment 37 David G. Mackay 2012-04-11 17:46:52 EDT
Hit system key.
Start typing in an application name.
Matching application list is NOT displayed and the shell switches back to the desktop view.
Repeat the preceeding steps and the gnome shell gets killed and you must log out and back in.


backtrace_rating: 3
Package: gnome-shell-3.2.2.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 38 David G. Mackay 2012-04-11 17:46:59 EDT
Created attachment 576896 [details]
File: backtrace
Comment 39 David G. Mackay 2012-04-14 11:03:35 EDT
I just upgraded to the Nvidia 295.40 binary drivers, and the problem went away.
Comment 40 Fedora End Of Life 2013-01-16 11:33:43 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 41 Fedora End Of Life 2013-02-13 15:22:56 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.